//
// Copyright © 2024 MediaMall Technologies, Inc.  All rights reserved.
//

#ifdef RCT_NEW_ARCH_ENABLED
#import "RNYCSRModuleSpec.h"

@interface YCSRModule : NSObject <NativeYCSRModuleSpec>
#else
#import <React/RCTBridgeModule.h>
#import <React/RCTEventEmitter.h>
#import <YounifyConnectSDK/Logging.h>
#import <YounifyConnectSDK/Tokens.h>

@interface YCSRModule : RCTEventEmitter <RCTBridgeModule, YCSLogDelegate, YCSTokenDelegate>
#endif

@end
